"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BABEL_PLUGINS = exports.DEFAULT_SUPPORTED_EXTENSIONS = exports.TAG_MAP = exports.DEFAULT_SUPPORTED_GRAPHQL_EXTENSIONS = exports.PARSER_OPTIONS = void 0;
exports.PARSER_OPTIONS = {
    allowImportExportEverywhere: true,
    allowReturnOutsideFunction: true,
    allowSuperOutsideMethod: true,
    allowAwaitOutsideFunction: true,
    errorRecovery: true,
    sourceType: 'module',
    strictMode: false,
};
exports.DEFAULT_SUPPORTED_GRAPHQL_EXTENSIONS = [
    '.graphql',
    '.graphqls',
    '.gql',
];
exports.TAG_MAP = {
    graphql: true,
    gql: true,
    graphqls: true,
};
exports.DEFAULT_SUPPORTED_EXTENSIONS = [
    '.js',
    '.cjs',
    '.mjs',
    '.es',
    '.esm',
    '.es6',
    '.ts',
    '.jsx',
    '.tsx',
    '.vue',
    '.svelte',
    '.astro',
    '.cts',
    '.mts',
];
exports.BABEL_PLUGINS = [
    'asyncDoExpressions',
    'asyncGenerators',
    'bigInt',
    'classProperties',
    'classPrivateProperties',
    'classPrivateMethods',
    'classStaticBlock',
    'doExpressions',
    'decimal',
    'decorators-legacy',
    'destructuringPrivate',
    'dynamicImport',
    'exportDefaultFrom',
    'exportNamespaceFrom',
    'functionBind',
    'functionSent',
    'importMeta',
    'importAssertions',
    'jsx',
    'logicalAssignment',
    'moduleBlocks',
    'moduleStringNames',
    'nullishCoalescingOperator',
    'numericSeparator',
    'objectRestSpread',
    'optionalCatchBinding',
    'optionalChaining',
    'privateIn',
    'regexpUnicodeSets',
    'throwExpressions',
    'topLevelAwait',
];
//# sourceMappingURL=constants.js.map