export class Logger {
    constructor(_connection, debug) {
        this._connection = _connection;
        this.logLevel = debug ? 1 : 0;
    }
    error(message) {
        this._connection.console.error(message);
    }
    warn(message) {
        this._connection.console.warn(message);
    }
    info(message) {
        this._connection.console.info(message);
    }
    log(message) {
        if (this.logLevel > 0) {
            this._connection.console.log(message);
        }
    }
    set level(level) {
        this.logLevel = level;
    }
    get level() {
        return this.logLevel;
    }
}
export class NoopLogger {
    error() { }
    warn() { }
    info() { }
    log() { }
    set level(_level) { }
    get level() {
        return 0;
    }
}
//# sourceMappingURL=Logger.js.map